# Type alias ChainConfig<N, C>

ChainConfig<N, C>: {
blockTime: number;
chainId: number;
contracts: Contracts;
explorer?: explorer.ExplorerSettings;
finalityThreshold: number;
key: C;
nativeChainId: string | bigint;
nativeTokenDecimals: number;
network: N;
platform: ChainToPlatform<C>;
rpc: string;
tokenMap?: tokens.ChainTokens;
wrappedNative?: tokens.Token;
}

#### Type Parameters

- #### N extends Network

- #### C extends Chain

#### Type declaration

- ##### blockTime: number

- ##### chainId: number

- ##### contracts: Contracts

- ##### `Optional` explorer?: explorer.ExplorerSettings

- ##### finalityThreshold: number

- ##### key: C

- ##### nativeChainId: string | bigint

- ##### nativeTokenDecimals: number

- ##### network: N

- ##### platform: ChainToPlatform<C>

- ##### rpc: string

- ##### `Optional` tokenMap?: tokens.ChainTokens

- ##### `Optional` wrappedNative?: tokens.Token

- Defined in definitions/src/types.ts:45

Generated using TypeDoc